Quassel IRC - Bug #435

Client crashes on windows
12/04/2008 01:19 PM - pennywise

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour

Target version:
Version: 0.3.1+ 0S: Any

Description

| don't know the source of the problem, but my windows quasseiclient (0.3.1 [+60] git-b24a38c) just quits itself and the tray icon is
"gone" when you hover over it. so it somehow crashed. See chrashlog:

Additional information:

Quassel IRC: 0.3.1 b24a38cf5f34f0a5e12c68d81fa4c67c849f33e9

1.077?? 0x004da762 0x004da762()
2.17?7? 0x004b8646 0x004b8646()
3.277? 0x00bd8f10 std::_Init_locks::operator=()
4.37?7?7? 0x7¢817067 RegisterWaitForlnputldle()

List of linked Modules:

History

#1 - 12/04/2008 09:46 PM - pennywise

Quassel-Crash-20081204-2144.log:
Quassel IRC: 0.3.1 b24a38cf5f34f0a5e12c68d81fa4c67c849f33e9

1.0 7?7 0x004da762 0x004da762()
2.17?? 0x004b8646 0x004b8646()
3.2 7?77 0x00bd8f10 std::_Init_locks::operator=()
4.3777 0x7c817067 RegisterWaitForlnputldle()

List of linked Modules:

#2 - 12/09/2008 07:15 PM - pennywise
Quassel IRC: 0.3.1 e11bf86d6ebf583b22528fe5fda689aa89ff4aad

1.077? 0x004da762 0x004da762()
2.17??7? 0x004b8646 0x004b8646()
3.277? 0x00bd8f10 0x00bd8f10()

4.3?777 0x7¢c817067 0x7c817067()

List of linked Modules:
does this help? Looks very unhelpfull to me :)

#3 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#4 - 01/13/2009 09:49 PM - EgS

- Subject changed from Client "quits" to Client crashes on windows
- Status changed from New to Feedback

- Version set to 0.3.1+

Sadly this doesn't help. Maybe due to our automated stacktraces :) Seems like the trace is from a wrong thread... Have to investigate.

Anyways back to the subject: can you say what might have triggered those crashes or what you did right before the crash?

07/09/2025 12




#5 - 01/13/2009 09:52 PM - pennywise

nope, sorry :/ All | remember is switching the buffer, but this isn't the reason, but maybe the trigger.

Anyway, didn't have that problem for aprox. a month, so | guess it was automagically fixed :)

#6 - 01/20/2009 08:39 PM - EgS
- Status changed from Feedback to Closed

pennywise wrote:
nope, sorry :/ All | remember is switching the buffer, but this isn't the reason, but maybe the trigger.

Anyway, didn't have that problem for aprox. a month, so | guess it was automagically fixed :)

-> close
